Subject: Re: [PATCHv2 net-next 2/2] openvswitch: add erspan version II support

From: Jiri Benc <[email-masked]>
Date: Wed, 10 Jan 2018 22:29:56 +0100

On Tue,  9 Jan 2018 17:51:22 -0800, William Tu wrote:
> --- a/include/uapi/linux/openvswitch.h
> +++ b/include/uapi/linux/openvswitch.h
> @@ -363,7 +373,8 @@ enum ovs_tunnel_key_attr {
>  	OVS_TUNNEL_KEY_ATTR_IPV6_SRC,		/* struct in6_addr src IPv6 address. */
>  	OVS_TUNNEL_KEY_ATTR_IPV6_DST,		/* struct in6_addr dst IPv6 address. */
>  	OVS_TUNNEL_KEY_ATTR_PAD,
> -	OVS_TUNNEL_KEY_ATTR_ERSPAN_OPTS,	/* be32 ERSPAN index. */
> +	OVS_TUNNEL_KEY_ATTR_ERSPAN_OPTSV1,	/* be32 ERSPAN v1 index (deprecated). */

You can't do this in an uapi header, the existing name must stay the
same forever. Otherwise existing programs would suddenly stop to
compile.

 Jiri